Package org.eclipse.emf.compare.internal

# Class DiffCrossReferencer

java.lang.Object
org.eclipse.emf.ecore.util.ECrossReferenceAdapter
org.eclipse.emf.compare.internal.AbstractCompareECrossReferencerAdapter
org.eclipse.emf.compare.internal.DiffCrossReferencer

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

public class DiffCrossReferencer extends AbstractCompareECrossReferencerAdapter
This implementation of an `ECrossReferenceAdapter` will allow us to only attach ourselves to the Diff elements.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`ECrossReferenceAdapter.InverseCrossReferencer`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`inverseCrossReferencer, iterating, settingTargets, unloadedEObjects, unloadedResources`

## Constructor Summary

Constructors
Constructor
Description
`DiffCrossReferencer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addAdapter(Notifier notifier)`
`protected boolean`
`isIncluded(EReference eReference)`

### Methods inherited from class org.eclipse.emf.compare.internal.AbstractCompareECrossReferencerAdapter

`handleContainment, resolve`

### Methods inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter

`createInverseCrossReferencer, dump, getCrossReferenceAdapter, getInverseReferences, getInverseReferences, getInverseReferences, getNonNavigableInverseReferences, getNonNavigableInverseReferences, getTarget, handleCrossReference, isAdapterForType, notifyChanged, removeAdapter, resolveAll, resolveProxy, selfAdapt, setTarget, setTarget, setTarget, setTarget, unsetTarget, unsetTarget, unsetTarget, unsetTarget, useRecursion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiffCrossReferencer

public DiffCrossReferencer()

## Method Details

### isIncluded

protected boolean isIncluded(EReference eReference)

Overrides:
  `isIncluded` in class `ECrossReferenceAdapter`
See Also:
  - `ECrossReferenceAdapter.isIncluded(org.eclipse.emf.ecore.EReference)`

### addAdapter

protected void addAdapter(Notifier notifier)

Overrides:
  `addAdapter` in class `ECrossReferenceAdapter`
See Also:
  - `ECrossReferenceAdapter.addAdapter(org.eclipse.emf.common.notify.Notifier)`